Subject: Re: "submodule foreach" much slower than removed "submodule--helper --list"

From: Jonas Bernoulli <[email-masked]>
Date: Sat, 15 Oct 2022 19:34:36 +0200

I just noticed that "submodule--helper name" was also removed, which I
also found useful in scripts.  Please tell me if I am missing something,
but it seems I now have to do something like this instead:

  git config -f .gitmodules --list |
      sed -n "s|^submodule.\([^.]*\).path=$path\$|\1|p"

The old way was nicer:

  git submodule--helper name $path

I realize submodule--helper is for internal use and using it anyway
comes with the risk of such removals and other changes, but again,
please consider restoring that or providing something similar in the
public interface.

     Cheers,
     Jonas